app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('auth/login', 'Auth\AuthController@getLogin');
Route::post('auth/login', 'Auth\AuthController@postLogin');
Route::get('auth/logout', 'Auth\AuthController@getLogout');



Route::match(['get', 'post'], '/', "PricesController@index");
Route::match(['get', 'post'], '/details/{id}', "PricesController@details");

Route::get('settings', 'SettingsController@index');
Route::post('settings/store', 'SettingsController@store');

Route::get('materom', 'UploadMateromController@index');
Route::match(['get', 'post'], 'materom/store', 'UploadMateromController@store');

Route::get('intercars', 'UploadIntercarsController@index');
Route::post('intercars/store', 'UploadIntercarsController@store');
Route::post('intercars/download', 'UploadIntercarsController@download');
Route::post('intercars/status', 'UploadIntercarsController@status');
Route::post('intercars/vmstop', 'UploadIntercarsController@vm_stop');
Route::post('intercars/vmstart', 'UploadIntercarsController@vm_start');
Route::post('intercars/vmrestart', 'UploadIntercarsController@vm_restart');
Route::post('intercars/vmstatus', 'UploadIntercarsController@vm_status');


Route::get('stats', 'StatsController@index');
Route::post('stats/store', 'StatsController@store');

Route::get('manufacturers', 'ManufacturersController@index');
Route::post('manufacturers/store', 'ManufacturersController@store');

Route::post('prices/store', 'PricesController@store');

app/ElitPrice.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ElitPrice extends Model
{
    //public $timestamps = false;

    protected $fillable = ['product_id', 'model', 'manufacturer_id'];

    public function product() {
        $this->belongsTo('App\Product');
    }

    public function getPriceAttribute($value) {
        return tofloat($value);
    }
}

resources/views/pages/details.blade.php
<div class="row">
    <div class="col-md-4"><h5>Categorie</h5>

        <ul>
            @foreach($product->categories as $category)

                {{ $category->name }}

            @endforeach
        </ul>
    </div>
    <div class="col-md-8">
        <div class="col-md-4"><h5>Preturi fara adaos:</h5>
            <ul>
                <li><strong>Bardi: </strong>{{ $product->bardi->price  or "0"}} RON</li>
                <li>
                    <strong>Elit: </strong>{{ is_object($product->elit) && $product->elit->stock > 0 ? round($product->elit->price * $tva , 2) : "0" }}
                    RON
                </li>
                <li>
                    <strong>Bennett: </strong>{{ is_object($product->bennett) && $product->bennett->stock > 0 ? round($product->bennett->price * $tva, 2) : "0" }}
                    RON
                </li>
                <li>
                    <strong>Conex: </strong>{{ is_object($product->conex) && $product->conex->stock > 0 ? round($product->conex->price * $tva, 2) : "0" }}
                    RON
                </li>
                <li>
                    <strong>Intercars: </strong>{{ is_object($product->intercars) && $product->intercars->stock > 0 ? round($product->intercars->price * $tva,2) : "0" }}
                    RON
                </li>
                <li>
                    <strong>Materom: </strong>{{ is_object($product->materom) ? round($product->materom->price * $tva,2) : "0" }}
                    RON
                </li>
            </ul>
        </div>

        <div class="col-md-4"><h5>Data adaugarii</h5>
            <ul>
                <li>{{ is_object($product->bardi) ? $product->bardi->created_at : ""}}</li>
                <li>
                    {{ is_object($product->elit) ? $product->elit->created_at  : "" }}
                </li>
                <li>
                    {{ is_object($product->bennett) ? $product->bennett->created_at : "" }}
                </li>
                <li>
                    {{ is_object($product->conex) ? $product->conex->created_at : "" }}
                </li>
                <li>
                    {{ is_object($product->intercars) ? $product->intercars->created_at : "" }}
                </li>
                <li>
                    {{ is_object($product->materom) ? $product->materom->created_at : "" }}
                </li>
            </ul>
        </div>

    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <h5>Setari Distribuitori</h5>
        <p>
            @foreach($distribs as $distrib_id => $distrib)
                {!! Form::checkbox('settings', $distrib_id, in_array($distrib_id, $existing) ? true : ($product->distribs()->find($distrib_id) ? true : false), in_array($distrib_id, $existing) ? ['disabled' => 'disabled'] : []) !!} {{$distrib}}
            @endforeach
        </p>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $('input:checkbox').click(function () {
            if ($(this).is(":checked"))
                $.post( '{{ url("prices/store") }}', {product_id : {{ $product->id }}, distrib_id : $(this).val(), mode : 'add' });
            else
                $.post( '{{ url("prices/store") }}', {product_id : {{ $product->id }}, distrib_id : $(this).val(), mode : 'delete'  });
        });
    });
</script>

resources/views/pages/intercars.blade.php
@extends('app')

@section('content')

    <div class="row">


        <div class="col-md-6">
            <h3>Pasul 1</h3>
            <h4>Download Lista Cautare Intercars</h4>

            <div class="form-group">
                {!! Form::label('Status:') !!}
                <p class="status">Nu este generat</p>
            </div>


            <div class="form-group">
                <button class="btn btn-primary form-control get_list">Genereaza</button>
            </div>


        </div>

        <div class="col-md-6">
            <h3>Pasul 2</h3>
            <h4>Upload Lista de preturi Intercars</h4>

            {!! Form::open([
                'action' => 'UploadIntercarsController@store',
                'files' => 'true'])
             !!}

            <div class="form-group">
                {!! Form::label('Fisier CSV Intercars:') !!}
                {!! Form::file('file', null) !!}
            </div>

            <div class="form-group">
                {!! Form::submit('Trimite', ['class' => 'btn btn-primary form-control']) !!}
            </div>

            {!! Form::close()  !!}

            @if($errors->any())

                <ul class="alert alert-danger">
                    <li>Incarcati un fisier de tip csv</li>
                </ul>

            @endif

            @if (session('status'))
                <div class="alert alert-success">
                    {{ session('status') }}
                </div>
            @endif

        </div>

    </div>

    <div class="row">
        <div class="col-md-12">
            <h3>Status Masina Virtuala Windows 7</h3>
            <div class="row">
                <div class="col-md-2">
                    <div class="input-group">
                     <span class="input-group-btn">
                         <span class="btn btn-default vmstatus">OFF</span>
                        <button class="btn btn-success vmstart"><span class="glyphicon glyphicon-play"
                                                                      aria-hidden="true"></span> Start
                        </button>
                        <button class="btn btn-danger vmstop"><span class="glyphicon glyphicon-stop"
                                                                    aria-hidden="true"></span> Stop
                        </button>
                         <!--
                        <button class="btn btn-warning vmrestart"><span class="glyphicon glyphicon-refresh"

                        </button>
                                                                                        aria-hidden="true"></span> Restart
                                                                                             -->

                        <button class="btn btn-primary spice-address"><span
                                    class="glyphicon glyphicon-eye-open" aria-hidden="true"></span> Vizualieaza
                        </button>
                    </span>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection

@section('footer')
    <script type="text/javascript">

        $(document).ready(function () {
                    get_vmstatus();
                    get_status();

                    function copytext(text) {
                        var textField = document.createElement('textarea');
                        textField.innerText = text;
                        document.body.appendChild(textField);
                        textField.select();
                        document.execCommand('copy');
                        textField.remove();
                    }

                    $('.spice-address').click(function (e) {
                        var text = "spice://{!! $_SERVER['SERVER_NAME'] !!}?port=5900";
                        copytext(text);
                        alert('Adresa pentru remote viewer a fost copiata in memorie!\n\nAdresa este: \n\n' + text);
                    });


                    $.post('{{ url("intercars/status") }}', {get_list: true}).done(function (data) {
                        if (data != '') {
                            $(".status").html('<a href="' + data + '" download>' + data + "</a>");
                        }
                    });


                    function is_off() {
                        $(".vmstatus").html("OFF");
                        $('.vmstop').addClass('disabled');
                        $('.spice-address').addClass('disabled');
                        $('.vmstart').removeClass('disabled');
                    }

                    function is_on() {
                        $(".vmstatus").html("ON");
                        $('.vmstart').addClass('disabled');
                        $('.vmstop').removeClass('disabled');
                        $('.spice-address').removeClass('disabled');

                    }

                    function get_status() {
                        var refreshIntervalId = setInterval(function () {
                            $.post('{{ url("intercars/status") }}', {get_list: true}).done(function (data) {
                                if (data != '') {
                                    clearInterval(refreshIntervalId);
                                    $(".status").html('<a href="' + data + '" download>' + data + "</a>");
                                }
                            });
                        }, 2000);
                    }

                    function get_vmstatus() {
                        $.post('{{ url("intercars/vmstatus") }}', {status: true}).done(function (data) {
                            if (data == 1) {
                                is_on();

                            }
                            if (data == 0) {
                                $(".vmstatus").html("OFF");
                                is_off();

                            }
                        });
                    }

                    $('.get_list').click(function (e) {
                        $.post('{{ url("intercars/download") }}', {get_list: true});
                        $(".status").html('In curs de generare' + '  {!!  Html::image('/images/loading.gif', 'alt', [ 'width' => 16, 'height' => 16 ]) !!}');
                        get_status();
                    });

                    $('.vmstop').click(function (e) {
                        e.preventDefault();
                        if (!$(this).hasClass('disabled')) {
                            var c = confirm("Atentie! Masina virtuala se va opri fortat! Se recomanda folosirea butonului SHUT DOWN din Windows 7! Sunteti sigur?");
                            if (c === true) {
                                $.post('{{ url("intercars/vmstop") }}', {stop: true});
                                is_off();
                            }
                        }
                    });

                    $('.vmstart').click(function (e) {
                        e.preventDefault();
                        if (!$(this).hasClass('disabled')) {
                            $.post('{{ url("intercars/vmstart") }}', {start: true});
                            is_on();
                        }
                    });

                    $('.vmrestart').click(function (e) {
                        $.post('{{ url("intercars/vmrestart") }}', {restart: true});
                    });

                    setInterval(function () {
                        get_vmstatus();
                    }, 5000);
                }
        );

    </script>


@endsection

resources/views/pages/manufacturers.blade.php
@extends('app')

@section('content')

    <h3>Setari producatori</h3>

    <div class="row">
        <div class="col-md-12">

            {!! Form::open(['action' => 'ManufacturersController@store', 'method' => 'post']) !!}

            <table class="table">
                <tr>
                    <th>Producatori</th>
                    <th>Distribuitori</th>
                </tr>
                @foreach($manufacturers as $man_id => $man)

                    <tr>
                        <td>{{$man}}</td>
                        <td style="font-size: 12px">
                            @foreach($distribs as $distrib_id => $distrib)
                                {!! Form::checkbox('settings['. $man_id . '][]', $distrib_id, \App\Manufacturer::find($man_id)->distribs()->find($distrib_id) ? true : false) !!} {{$distrib}}
                            @endforeach
                        </td>
                    </tr>

                @endforeach
            </table>

            <div class="col-md-4 form-group">
                {!! Form::submit('Salveaza', ['class' => 'btn btn-primary form-control']) !!}
            </div>

            <div class="col-md-4 form-group">
               <button class="btn btn-primary form-control reset">Reset</button>
            </div>

        </div>
        {!! Form::close() !!}
    </div>
@endsection

@section('footer')
    <script type="text/javascript">
        $(document).ready(function(){
            $('.reset').click(function(e){
                e.preventDefault();
                $('input:checkbox').removeAttr('checked');
            });
        });
    </script>
@endsection

resources/views/pages/materom.blade.php
@extends('app')

@section('content')

    <h3>Upload Materom</h3>

    <div class="row">

        <div class="col-md-6">

            {!! Form::open([
                'action' => 'UploadMateromController@store',
                'files' => 'true'])
             !!}

            <div class="form-group">
                {!! Form::label('Tabel excel Materom') !!}
                {!! Form::file('file', null) !!}
            </div>

            <div class="form-group">
                {!! Form::submit('Salveaza', ['class' => 'btn btn-primary form-control']) !!}
            </div>


            {!! Form::close()  !!}


            @if($errors->any())

                <ul class="alert alert-danger">
                    <li>Incarcati un fisier de tip xlsx</li>
                </ul>

            @endif

            @if (session('status'))
                <div class="alert alert-success">
                    {{ session('status') }}
                </div>
            @endif

        </div>

    </div>
@endsection

resources/views/pages/prices.blade.php
@extends('app')


@section('content')
    <h2>Lista de preturi</h2>

    {!! $html->table() !!}
@endsection


@section('footer')

    {!! $html->scripts() !!}

    <script type="text/javascript">
        $(document).ready(function () {

            var table = window.LaravelDataTables["dataTableBuilder"];

            $(".table.dataTable").on("click", "td.details-control ", function (e) {
                e.preventDefault();
                var tr = $(this).closest('tr');
                var row = table.row(tr);

                var link = $(this).find("a").attr("href");

                if (row.child.isShown()) {
                    // This row is already open - close it
                    row.child.hide();

                    $(tr).find("i").addClass("fa-plus-circle");
                    $(tr).find("i").removeClass("fa-minus-circle");

                    tr.removeClass('shown');
                }
                else {

                    $.get(link, function (data) {
                        row.child(data).show();
                        $(tr).find("i").removeClass("fa-plus-circle");
                        $(tr).find("i").addClass("fa-minus-circle");
                        tr.addClass('shown');
                    });
                }
            });
        });

    </script>

@endsection

resources/views/pages/settings.blade.php
@extends('app')

@section('content')

    <h3>Procente adaosuri</h3>

    <div class="row">

        <div class="col-md-6">

            {!! Form::open(['action' => 'SettingsController@store', 'method' => 'post']) !!}

           <!-- l50 Form Input For less50 -->

            <div class="form-group @if($errors->get('l50')) {{ " has-error" }} @endif">
                {!! Form::label('l50', '0-50 Ron:', ['class' => 'control-label']) !!}
                {!! Form::text('l50', $settings['l50'], ['class' => 'form-control']) !!}
            </div>

            <!-- b50_100 Form Input For b50_100 -->

            <div class="form-group @if($errors->get('b50_100')) {{ " has-error" }} @endif">
                {!! Form::label('b50_100', '50-100 Ron:', ['class' => 'control-label']) !!}
                {!! Form::text('b50_100', $settings['b50_100'], ['class' => 'form-control']) !!}
            </div>

            <!-- b100_200 Form Input For b100_200 -->

            <div class="form-group @if($errors->get('b100_200')) {{ " has-error" }} @endif">
                {!! Form::label('b100_200', '100-200 Ron:', ['class' => 'control-label']) !!}
                {!! Form::text('b100_200', $settings['b100_200'], ['class' => 'form-control']) !!}
            </div>

            <!-- b200-500 Form Input For b200-500 -->

            <div class="form-group @if($errors->get('b200_500')) {{ " has-error" }} @endif">
                {!! Form::label('b200_500', '200-500 Ron:', ['class' => 'control-label']) !!}
                {!! Form::text('b200_500', $settings['b200_500'], ['class' => 'form-control']) !!}
            </div>

            <!-- g500 Form Input For g500 -->

            <div class="form-group @if($errors->get('g500')) {{ " has-error" }} @endif">
                {!! Form::label('g500', '> 500 Ron:', ['class' => 'control-label']) !!}
                {!! Form::text('g500', $settings['g500'], ['class' => 'form-control']) !!}
            </div>


            <!-- ulei Form Input For ulei -->

            <div class="form-group @if($errors->get('ulei')) {{ " has-error" }} @endif">
                {!! Form::label('ulei', 'Uleiuri:', ['class' => 'control-label']) !!}
                {!! Form::text('ulei', $settings['ulei'], ['class' => 'form-control']) !!}
            </div>

            <!-- baterii Form Input For baterii -->

            <div class="form-group @if($errors->get('baterii')) {{ " has-error" }} @endif">
                {!! Form::label('baterii', 'Baterii:', ['class' => 'control-label']) !!}
                {!! Form::text('baterii', $settings['baterii'], ['class' => 'form-control']) !!}
            </div>

            <!-- baterii Form Input For baterii -->

            <div class="form-group @if($errors->get('becuri')) {{ " has-error" }} @endif">
                {!! Form::label('becuri', 'Becuri:', ['class' => 'control-label']) !!}
                {!! Form::text('becuri', $settings['becuri'], ['class' => 'form-control']) !!}
            </div>

            <!-- lichide Form Input For lichide -->

            <div class="form-group @if($errors->get('lichide')) {{ " has-error" }} @endif">
                {!! Form::label('lichide', 'Lichide de intretinere:', ['class' => 'control-label']) !!}
                {!! Form::text('lichide', $settings['lichide'], ['class' => 'form-control']) !!}
            </div>

            <!-- tva Form Input For tva -->

            <div class="form-group">
                {!! Form::label('tva', 'Procent TVA:') !!}
                {!! Form::text('tva', $settings['tva'], ['class' => 'form-control']) !!}
            </div>

            <div class="form-group">
                {!! Form::submit('Salveaza', ['class' => 'btn btn-primary form-control']) !!}
            </div>


            {!! Form::close()  !!}


    @if($errors->any())

        <ul class="alert alert-danger">
            <li>Verificati campurile (valoarea campurilor trebuie sa fie cuprinsa intre 0 si 100)</li>
        </ul>

    @endif
        </div>

    </div>
@endsection

resources/views/pages/stats.blade.php
@extends('app')

@section('content')

    <h3>Resetare data pentru produse noi adaugate</h3>

    <div class="row">

        <div class="col-md-4">

            {!! Form::open(['action' => 'StatsController@store', 'method' => 'post']) !!}

            <div class="form-group">
                {!! Form::submit('Reset', ['class' => 'btn btn-primary form-control']) !!}
            </div>


            {!! Form::close() !!}

            @if (session('status'))
                <div class="alert alert-success">
                    {{ session('status') }}
                </div>
            @endif

        </div>
    </div>

@endsection